/* video */
$(function(){
	var videoElement = $("video")[0];
	var isShowControlBar = false;
	var timer = null;
	var firstPlay = true;

	//网络状态监听
	aib.notification.registerHandle(aib.AIBNotification_NetState,function(netState){
		var net = netState.toLowerCase();
		alert(net);
		switch(net){
			case "wifi":
			{
				$(".wifiState #videoNotice").hide();
			}
			break;
			default:
			{
//                $(".wifiState img").attr('src',"./play_nowifi.jpg");
			}
		}
	});

	//设置video的poster
//    $(".wifiState").css("background-image","url(http://artimg.chefafa.com/upload/Image/20151121/1448071981933706.jpg)");

	//隐藏contorlBar
	function hideControlBar(){
		if (timer) { clearTimeout(timer);}
		timer = setTimeout(function(){
			$(".controlBar").fadeOut("normal",function(){
				isShowControlBar = false;
			});
		},3000);
	}

	// 全屏
	$("#fullScreen").on('tap',function(e){

		$(".controlBar").fadeOut("fast",function(){
			isShowControlBar = false;
		});
		if (videoElement.webkitEnterFullScreen) {
			videoElement.webkitEnterFullScreen();
		}
		e.stopPropagation();
	});

	// 暂停
	$("#pause").on("tap",function(e){
 		$(".controlBar").fadeOut("fast");
 		isShowControlBar = false;
		$(".wifiState").show();
		videoElement.pause();
		e.stopPropagation();
	});

	// 控制条显示隐藏
 	$("video").on("tap",function(e){

 		if (isShowControlBar) {
			$(".controlBar").fadeOut("normal",function(){
				isShowControlBar = false;
			});
 		}else{
 			$(".controlBar").fadeIn(100,function(){
 				hideControlBar();
 				isShowControlBar = true;
 			});
 		}
		e.stopPropagation();

 	});

 	// 播放
 	$(".wifiState #play").on("tap",function(e){
 		$(".wifiState").hide();
 		if (firstPlay) {
 			$(".wifiState span").hide();
 			isShowControlBar = true;
 			// hideControlBar();
 			firstPlay = false;
 		}else{isShowControlBar = false;}
 		videoElement.play();
 		e.stopPropagation();
 	});

 	//视频播放结束
 	$("video").on("ended",function(){
 		$(".wifiState").show();
 		isShowControlBar = false;
 		videoElement.pause();
 		stopTrackingPlayProgress();
 	});

 	//视频发生错误
 	$("video").on("error",function(){

 	});

 	//视频播放
	$("video").on("play",function(){
 		trackPlayProgress();
 	});

 	//视频暂停
 	$("video").on("pause",function(){
		stopTrackingPlayProgress();
 	});

 	// 视频长度
	$("video").on('loadedmetadata',function(){
		$('.sumTime').html(stom(this.duration));
     });

	function stom(t){
		var m = Math.floor(t/60);
		m < 10 && (m = '0' + m);
		return m + ":" + (t%60/100).toFixed(2).slice(-2);
	}

/*****************************播放进度相关*****************************/

 	var proHolder = $("#progress_box");//条
 	var proBar = $("#play_progress");
 	var proPoint = $("#play_progress2");
 	var proTimer = null;

    (function(){

         if (videoElement){
             var startPositionX;
             var touchStartVideoTime;
            videoElement.addEventListener('touchstart', function (e) {
                startPositionX = e.touches[0].pageX;
                touchStartVideoTime = videoElement.currentTime;
            });
            videoElement.addEventListener('touchend', function (e) {

                var scale = (e.changedTouches[0].pageX - startPositionX)/videoElement.clientWidth;
                videoElement.currentTime = touchStartVideoTime + scale*videoElement.duration;
            });
         }
	}());

 	// 更新进度条方法二
 	function updatePlayProgress(){
 		var currentPos = videoElement.currentTime;
 		var precentTime = currentPos/videoElement.duration;
    	$('.curTime').html(stom(currentPos));
 		proBar.css("width",precentTime*(proHolder.width()-4.5));//由于屏幕会横屏 所以不能缓存，用的时候直接获取
 		proPoint.css("left",precentTime*(proHolder.width()-4.5));
 	}

 	function trackPlayProgress(){
		(function proTrack() {
			updatePlayProgress();
			proTimer = setTimeout(proTrack, 50);
		})();
	}

	function stopTrackingPlayProgress(){
		clearTimeout(proTimer);
	}
});

